### Method

# Gimp CMYK_set

#### Declaration [src]

    void
    gimp_cmyka_set (
      GimpCMYK* cmyka,
      gdouble cyan,
      gdouble magenta,
      gdouble yellow,
      gdouble black,
      gdouble alpha
    )

#### Description [src]

Initialiser for the internal `GimpCMYK` structure. Channel values are doubles in the range 0 to 1.

#### Parameters

`cyan` | `gdouble`
| The Cyan channel of the CMYK value.
`magenta` | `gdouble`
| The Magenta channel.
`yellow` | `gdouble`
| The Yellow channel.
`black` | `gdouble`
| The blacK channel.
`alpha` | `gdouble`
| The Alpha channel.